MP
API Reference
All systems operationalDashboard
Getting started
  • Introduction
  • Quickstart (15-min walkthrough)
  • Postman
  • Environments
Core
  • Authentication
  • Versioning
  • Errors
  • Rate limits
  • Idempotency
  • Pagination
  • Security model
  • Webhooks & signing
  • paymentData shapes by method
  • Multi-merchant / multi-shop
  • Payment lifecycle
Endpoints
  • GET /ping
  • GET /me
  • POST /api/v1/checkout/sessions
  • POST /api/v1/payments
  • GET /api/v1/payments/{id}
  • GET /api/v1/payments
  • POST /payments/{id}/refund
  • GET /api/v1/payment-methods
  • GET /balance
  • POST /webhooks (register)
  • GET /webhooks (list)
  • GET /webhooks/{id}
  • PATCH /webhooks/{id}
  • DELETE /webhooks/{id}
  • POST /webhooks/{id}/rotate-secret
  • GET /webhooks/{id}/deliveries
  • POST /webhooks/{id}/deliveries/{deliveryId}/replay
Sandbox
  • Sandbox-Simulate header
  • Sandbox playground
  • Test data
Reference
  • Account tiers & trustScore
  • Settlement flow
  • SDKs
  • OpenAPI spec
  • Changelog
DocsEndpointsGET /balance
Endpoints

GET /balance

Available, pending, frozen, and reserve balances.

GET/api/v1/me/balancesecret key

Return the merchant's current balance: available, pending settlement, frozen, and rolling reserve.

Request
curl https://sandbox.key2pays.com/api/v1/balance \
  -H "Authorization: Bearer sk_test_51N8mP...exampleK3Y"
Response
{ "available": 12480.55, "pending": 230.10, "frozen": 0, "reserve": 1500, "currency": "USD" }
Previous · Endpoints
GET /api/v1/payment-methods
Next · Endpoints
POST /webhooks (register)